* Jason Taylor <[EMAIL PROTECTED]> [20030123 10:39]: wrote:
> 
> On Mon, 20 Jan 2003 20:31:44 +0300
> Odhiambo Washington <[EMAIL PROTECTED]> wrote:
> 
> > 
> > Anyone seen this?
> > 
> > 
> > Configuring SAPI modules
> > checking for AOLserver support... no
> > checking for Apache 1.x module support via DSO through APXS... no
> > checking for Apache 1.x module support... no
> > checking for mod_charset compatibility option... no
> > checking for Apache 2.0 module support via DSO through APXS... configure: error: 
>Use --with-apxs with Apache 1.3.x!
> > ===>  Script "configure" failed unexpectedly.
> >       Please report the problem to [EMAIL PROTECTED] [maintainer] and attach
> >       the "/usr/ports/www/mod_php4/work/php-4.2.3/config.log" including the
> >       output of the failure of your make command. Also, it might be a good
> >       idea to provide an overview of all packages installed on your system
> >       (e.g. an `ls /var/db/pkg`).
> > *** Error code 1
> > 
> > Stop in /usr/ports/www/mod_php4.
> > *** Error code 1
> > 
> > Stop in /usr/ports/www/mod_php4.
> > 
> > 
> > 
> > -Wash
> > 
> > -- 
> > Odhiambo Washington   <[EMAIL PROTECTED]>  "The box said 'Requires
> > Wananchi Online Ltd.  www.wananchi.com      Windows 95, NT, or better,'
> > Tel: +254 2 313985-9  +254 2 313922         so I installed FreeBSD."   
> > GSM: +254 72 743223   +254 733 744121       This sig is McQ!  :-)
> > 
> > 
> > A transistor protected by a fast-acting fuse will protect the fuse by
> > blowing first.
> > 
> > To Unsubscribe: send mail to [EMAIL PROTECTED]
> > with "unsubscribe freebsd-questions" in the body of the message
> 
> Yes, I have.  Through a bit of Googleing I stumbled onto a page that
> had a fix.  In the Makefile find this section:
> 
> .if defined(WITH_APACHE2)
> CONFIGURE_ARGS= --with-apxs2=${PREFIX}/sbin/apxs \
>                 --with-tsrm-pth
> PLIST_SUB=      MOD_DIR=libexec/apache2 \
>                 NON=
> .else
> 
> Change it to:
> 
> .if defined(WITH_APACHE2)
> CONFIGURE_ARGS= --with-apxs2=${PREFIX}/sbin/apxs
> #               --with-tsrm-pth
> PLIST_SUB=      MOD_DIR=libexec/apache2 \
>                 NON=
> .else
> 
> Just removing the backslash from the second line and commenting out the
> third.


For me, after much pain, I changed the line that says:

APXS?=          ${LOCALBASE}/sbin/apxs

to:

APXS2=          ${LOCALBASE}/sbin/apxs



substitute 2 for ? and it worked.




-Wash

S y s t e m s   A d m i n i s t r a t o r

--


___W_A_N_A_N_C_H_I__O_N_L_I_N_E__L_T_D___The People's Choice______
Wananchi Head Office    |*|     Tel: +254 2 313 985-9
1st Flr Loita, Loita St.|*|     Fax: +254 2 313 922
10286-GPO, NAIROBI, KE  |*|     e-mail: <wash at wananchi dot com>
------------------------------------------------------------------
++

A kindhearted woman gains respect,
but ruthless men gain only wealth.
        Proverbs 11:16
 


To Unsubscribe: send mail to [EMAIL PROTECTED]
with "unsubscribe freebsd-questions" in the body of the message

Reply via email to